Subject: Re: [PATCH 0/7] Flags and config to sign pushes by default

From: Junio C Hamano <[email-masked]>
Date: Fri, 14 Aug 2015 13:45:40 -0700

Dave Borowitz <[email-masked]> writes:

> On Fri, Aug 14, 2015 at 2:12 PM, Junio C Hamano <[email-masked]> wrote:
>> Yes, it looks somewhat strange.
> ... The straw-man
> strangeness is that two of them are the traditional boolean values
> "true/false" and the third is "file not found^W^W^Wif-possible" :)

It actually is not uncommon for a Git configuration variable to
start its life as a boolean and then later become tristate (or more)
as we gain experience with the system, so don't worry about it being
"strange".  A tristate, among whose choices two of them are true and
false, is not "strange" around here.

By "strange", I was referring to the possible perception issue on
having a choice other than yes/no for a configuration that allows
you to express your security preference.

Thanks.